#NoEnv  ; Recommended for performance and compatibility with future AutoHotkey releases.
; #Warn  ; Enable warnings to assist with detecting common errors.
SendMode Input  ; Recommended for new scripts due to its superior speed and reliability.
SetWorkingDir %A_ScriptDir%  ; Ensures a consistent starting directory.

full_command_line := DllCall("GetCommandLine", "str")

if not (A_IsAdmin or RegExMatch(full_command_line, " /restart(?!\S)"))
{
    try ; leads to having the script re-launching itself as administrator
    {
        if A_IsCompiled
            Run *RunAs "%A_ScriptFullPath%" /restart
        else
            Run *RunAs "%A_AhkPath%" /restart "%A_ScriptFullPath%"
    }
    ExitApp
}
;----------->> YOU MUST EDIT THIS PATH TO REFLECT WHERE THE FILE IS <<-----------;
; The file trans2.xls is included in the sample archive
trans := "C:\YourPathHere\Twebst\trans2.xls"

/*
' This sample demonstrates:
' - Creating the Core object that represents the root of the Twebst library.
' - Starting a new Browser and navigate to a given url.
' - Finding HTML elements inside the browser.
' - Performing actions on HTML controls.
*/

; Instantiate a Twebst Core object.
core := ComObjCreate("OpenTwebst.Core")
;core.CloseBrowserPopups := true
browser := core.StartBrowser("http://www.google.com/")

xl := ComObjCreate("Excel.Application")
xl.Visible := true
xl.Workbooks.Open(trans)

browser.Navigate("http://translate.google.com")
sleep, 3000

loop, 5
{
	textToTranslate := xl.ActiveSheet.Cells(A_Index, 1).Formula
	;msgbox %A_Index% : %textToTranslate%
	browser.Navigate("http://translate.google.com")
	browser.FindElement("textarea", "id=source").InputText(textToTranslate)
	
    browser.FindElement("div", "id=sugg-item-en").Click()
	browser.FindElement("div", "id=sugg-item-es, index=1").Click()
	browser.FindElement("textarea", "id=source").RightClick()
	translateText := browser.FindElement("span", "class=tlid-translation translation")
	t := translateText.getAttribute("InnerText")
	sleep, 1000
	xl.ActiveSheet.Cells(A_Index, 2).Formula := t
	;clipboard := ""
}

msgbox ok so far

ExitApp